build: false
clone_folder: c:\dokuwiki
max_jobs: 3
platform: x86
pull_requests:
  do_not_increment_build_number: true
version: '{build}.{branch}'

environment:
  matrix:
    - PHP_VERSION: '7.2.5'
      VC: 'VC15'
      PHPUNIT: '7'
    - PHP_VERSION: '7.0.30'
      VC: 'VC14'
      PHPUNIT: '6'
    - PHP_VERSION: '5.6.36'
      VC: 'VC11'
      PHPUNIT: '5'

cache:
  - c:\php -> appveyor.yml

init:
  - SET PATH=c:\php\%PHP_VERSION%;%PATH%

install:
  - echo %PHP_VERSION%
  - IF NOT EXIST c:\php mkdir c:\php
  - IF NOT EXIST c:\php\%PHP_VERSION% mkdir c:\php\%PHP_VERSION%
  - cd c:\php\%PHP_VERSION%
  - IF NOT EXIST php-installed.txt curl -fsSL -o php-%PHP_VERSION%-Win32-%VC%-x86.zip https://windows.php.net/downloads/releases/archives/php-%PHP_VERSION%-Win32-%VC%-x86.zip
  - IF NOT EXIST php-installed.txt 7z x php-%PHP_VERSION%-Win32-%VC%-x86.zip -y >nul
  - IF NOT EXIST php-installed.txt del /Q *.zip
  - IF NOT EXIST php-installed.txt copy /Y php.ini-development php.ini
  - IF NOT EXIST php-installed.txt echo max_execution_time=1200 >> php.ini
  - IF NOT EXIST php-installed.txt echo date.timezone="UTC" >> php.ini
  - IF NOT EXIST php-installed.txt echo extension_dir=ext >> php.ini
  - IF NOT EXIST php-installed.txt echo extension=php_openssl.dll >> php.ini
  - IF NOT EXIST php-installed.txt echo extension=php_mbstring.dll >> php.ini
  - IF NOT EXIST php-installed.txt echo extension=php_gd2.dll >> php.ini
  - IF NOT EXIST php-installed.txt echo extension=php_bz2.dll >> php.ini
  - IF NOT EXIST php-installed.txt echo extension=php_pdo_sqlite.dll >> php.ini
  - IF NOT EXIST php-installed.txt curl -fsSL -o phpunit.phar https://phar.phpunit.de/phpunit-%PHPUNIT%.phar
  - IF NOT EXIST php-installed.txt type nul >> php-installed.txt

test_script:
  - php -v
  - cd c:\dokuwiki\_test
  - php c:\php\%PHP_VERSION%\phpunit.phar
